ros-noetic-class-loader (0.5.2-1focal) focal; urgency=high

  * Fix shebang line for python3 (#158 <https://github.com/ros/class_loader/issues/158>)
  * Suppress sanitizer warning about (expected) leak (#220 <https://github.com/ros/class_loader/issues/220>)
  * Fix shebang for class_loader_headers_update.py (#180 <https://github.com/ros/class_loader/issues/180>) (#219 <https://github.com/ros/class_loader/issues/219>)
  * Contributors: Mikael Arguedas, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-noetic-class-loader (0.5.1-1focal) focal; urgency=high

  * Declare newly-required boost component (#208 <https://github.com/ros/class_loader/issues/208>)
  * Resolve symlinks fully before loading the library. (#207 <https://github.com/ros/class_loader/issues/207>)
  * Include library name into library unload exceptions to make debugging easier. (#194 <https://github.com/ros/class_loader/issues/194>)
  * Switch to new boost/bind/bind.hpp (#193 <https://github.com/ros/class_loader/issues/193>)
  * Fix spelling mistake (#183 <https://github.com/ros/class_loader/issues/183>)
  * Update package maintainers. (#170 <https://github.com/ros/class_loader/issues/170>)
  * Contributors: David V. Lu!!, Ivor Wanders, Jochen Sprickerhof, Michael Görner, Michel Hidalgo, Remo Diethelm

 -- Michael Carroll <michael@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-noetic-class-loader (0.5.0-1focal) focal; urgency=high

  * Declare specific boost dependencies. (#136 <https://github.com/ros/class_loader/issues/136>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 07 Feb 2020 00:00:00 -0000

ros-noetic-class-loader (0.4.2-1focal) focal; urgency=high

  * Add Python 3 support to header update scripts. (#122 <https://github.com/ros/class_loader/issues/122>)
  * Set test dll runtime output to CATKIN_PACKAGE_BIN_DESTINATION on Windows. (#113 <https://github.com/ros/class_loader/issues/113>)
  * Improve warning message formatting and detail. (#108 <https://github.com/ros/class_loader/issues/108>)
  * Add export to variable in order to allow builds on Windows. (#102 <https://github.com/ros/class_loader/issues/102>)
  * Ignore warnings about import/exports when deriving from std classes on MSVC. (#116 <https://github.com/ros/class_loader/issues/116>)
  * Use #pragma message() to print out warnings in MSVC. (#114 <https://github.com/ros/class_loader/issues/114>)
  * Avoid including Poco headers globally. (#115 <https://github.com/ros/class_loader/issues/115>)
  * Make Steven! Ragnarok the maintainer (#107 <https://github.com/ros/class_loader/issues/107>)
  * Fix non-defined CMake variable (forward-port to Melodic). (#97 <https://github.com/ros/class_loader/issues/97>)
  * Contributors: James Xu, Johnson Shih, Markus Grimm, Mikael Arguedas, Robert Haschke

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 07 Feb 2020 00:00:00 -0000

ros-noetic-class-loader (0.4.1-1focal) focal; urgency=high

  * Provide std::shared_ptr interface (#95 <https://github.com/ros/class_loader/issues/95>)
  * Windows compat and style fixups (#90 <https://github.com/ros/class_loader/issues/90>)
    * add visibility macros to public functions
    * rename private namespace 'class_loader_private' to 'impl' to match ros2 branch
  * use new headers to build library (#93 <https://github.com/ros/class_loader/issues/93>)
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 27 Apr 2018 00:00:00 -0000

ros-noetic-class-loader (0.4.0-1focal) focal; urgency=high

  * Stop checking for c++11 support (#87 <https://github.com/ros/class_loader/pull/87>)
    all Melodic targeted platforms use gnu++14 so checking and forcing -std=c++11 doesn't make sense anymore
  * [ABI breaking] use std::string references for exceptions (#86 <https://github.com/ros/class_loader/issues/86>)
  * deprecate .h headers in favor of .hpp headers (#81 <https://github.com/ros/class_loader/pull/81>)
  * provide a script with exhaustive rules for header replacement
  * comply with package format2 xsd (#83 <https://github.com/ros/class_loader/issues/83>)
  * [ABI breaking] Exceptions fixups (#82 <https://github.com/ros/class_loader/issues/82>)
    * inline exceptions
    * use throw statement rather than function
  * [linter] add nolint for global std::string used for testing (#79 <https://github.com/ros/class_loader/issues/79>)
  * use auto for all for loops iterating on vectors/maps (#78 <https://github.com/ros/class_loader/issues/78>)
  * Add systemLibraryFormat and systemLibraryPrefix functions (#77 <https://github.com/ros/class_loader/issues/77>)
  * [ABI breaking] Bring melodic-devel closer to ros2 branch (#76 <https://github.com/ros/class_loader/issues/76>)
    * comply with extra and pedantic compiler flags
    * use c++11 nullptr instead of NULL
    * make ABI breaking change for explicit constructors
    * make linters happy
    * no need to support console_bridge < 0.3.0 anymore
    * remove obsolete todo
    * add virtual destructor in test
    * vector size() returns size_t
    * simplify branching
  * [fix warnings] c++11 requires at least one argument for ... (#71 <https://github.com/ros/class_loader/issues/71>)
  * [linter] Use std::string::empty instead comparing with an empty string (#69 <https://github.com/ros/class_loader/issues/69>)
  * [linter] wrap console bridge invocation lines (#68 <https://github.com/ros/class_loader/issues/68>)
  * OSRF and not willow in licence header (#67 <https://github.com/ros/class_loader/issues/67>)
  * Contributors: David Wagner, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 15 Feb 2018 00:00:00 -0000

ros-noetic-class-loader (0.3.8-1focal) focal; urgency=high

  * Fix console_bridge marcos definition (#66 <https://github.com/ros/class_loader/issues/66>)
  * Style overhaul (#64 <https://github.com/ros/class_loader/issues/64>) (#62 <https://github.com/ros/class_loader/issues/62>)
  * Add copyright notice to unique_ptr_test.cpp (#65 <https://github.com/ros/class_loader/issues/65>)
  * Contributors: Maarten de Vries, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 16 Nov 2017 00:00:00 -0000

ros-noetic-class-loader (0.3.7-1focal) focal; urgency=high

  * switch to package format 2 (#56 <https://github.com/ros/class_loader/issues/56>)
  * remove trailing whitespaces (#55 <https://github.com/ros/class_loader/issues/55>)
  * use CONSOLE_BRIDGE_X logging macros (#52 <https://github.com/ros/class_loader/issues/52>)
  * Contributors: Mikael Arguedas, jmachowinski

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-class-loader (0.3.6-1focal) focal; urgency=high

  * Made changes to two locking mechanisms inside class loader core's loadLibrary() function: 1) I added a lock to the 'addClassLoaderOwnerFor...' function to protect it against a race condition with the unloadLibrary() function. 2) I also raised the loader lock to cover the whole function. Previously the check to see if a library is already loaded and the actual loading of the library was not atomic. Multiple threads could create shared library objects, for example.
  * Contributors: Jonathan Meyer

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-noetic-class-loader (0.3.5-1focal) focal; urgency=high

  * Add ClassLoader::createUniqueInstance (#38 <https://github.com/ros/class_loader/issues/38>)
    * Wrap comments on createInstance and friend.
    * Delegate createInstance and createUnmanagedInstance to private impl.
    * Add ClassLoader::createUniqueInstance.
    * MultiLibraryClassLoader: Factor out getClassLoaderForClass.
    * MultiLibraryClassLoader: Add unique_ptr API.
    * Add tests for unique_ptr API.
  * Contributors: Maarten de Vries

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Sep 2016 00:00:00 -0000

ros-noetic-class-loader (0.3.4-1focal) focal; urgency=high

  * cleanup: don't use active_class_loaders_[library_path] for existence test (#35 <https://github.com/ros/class_loader/issues/35>)
    * cleanup: don't use active_class_loaders_[library_path] for existence test
    - this accumulates map entries with NULL pointer
    - fixing it, allows some cleanup
    * list headers in CodeBlocks / QtCreator
    * explicitly list all headers
  * Merge pull request #34 <https://github.com/ros/class_loader/issues/34> from rhaschke/fix-on-demand-unloading
    fix on demand unloading
  * Merge pull request #32 <https://github.com/ros/class_loader/issues/32> from saarnold/fixed_unset_variable_evaluation
    fixed evaluation of undefined variable
  * fixed evaluation of undefined variable
  * not unloading the ClassLoaders (to avoid the SEVERE WARNING) doesn't work either
  * bugfix: enable on-demand loading/unloading with MultiClassLoader
    - enforce loading of library in loadLibrary(), otherwise we cannot know
    - don't unload libraries in destructor when on-demand-unloading is enabled
  * extra utest: MultiClassLoaderTest.lazyLoad succeeds two times in a row?
  * added MultiLibraryClassLoader unittest
  * Contributors: Mikael Arguedas, Robert Haschke, Sascha Arnold

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Jun 2016 00:00:00 -0000

ros-noetic-class-loader (0.3.3-1focal) focal; urgency=high

  * update maintainer
  * Merge pull request #26 <https://github.com/ros/class_loader/issues/26> from goldhoorn/indigo-devel
    Added option to disable the catkin build
  * Added option to disable the catkin build
  * Contributors: Esteve Fernandez, Matthias Goldhoorn, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 10 Mar 2016 00:00:00 -0000

ros-noetic-class-loader (0.3.2-1focal) focal; urgency=high

  * Fixed wrong handling of false statement (pkg-config was not installed)
  * Make catkin optional again
  * Contributors: Esteve Fernandez, Janosch Machowinski, Matthias Goldhoorn

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-noetic-class-loader (0.3.1-1focal) focal; urgency=high

  * Depend on boost
  * Use FindPoco.cmake from ros/cmake_modules
  * Honor BUILD_SHARED_LIBS and do not force building shared libraries.
  * Contributors: Esteve Fernandez, Gary Servin, Scott K Logan

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-noetic-class-loader (0.3.0-1focal) focal; urgency=high

  * Use system-provided console-bridge
  * Contributors: Esteve Fernandez

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 25 Jun 2014 00:00:00 -0000

ros-noetic-class-loader (0.2.5-1focal) focal; urgency=high

  * Changed format of debug messages so that rosconsole_bridge can correctly parse the prefix
  * Improved debug output

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-noetic-class-loader (0.2.4-1focal) focal; urgency=high

  * fix race condition with multi threaded library loading (#16 <https://github.com/ros/class_loader/issues/16>)

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 12 Feb 2014 00:00:00 -0000

ros-noetic-class-loader (0.2.3-1focal) focal; urgency=high

  * fix missing class name in logWarn output

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-noetic-class-loader (0.2.2-1focal) focal; urgency=high

  * check for CATKIN_ENABLE_TESTING (#10 <https://github.com/ros/class_loader/issues/10>)
  * fix find Poco to return full lib path (#8 <https://github.com/ros/class_loader/issues/8>)
  * add missing runtime destination for library under Windows
  * add Boosst component system

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 14 Jul 2013 00:00:00 -0000

ros-noetic-class-loader (0.2.1-1focal) focal; urgency=high

  * improve check for Poco foundation and headers (#7 <https://github.com/ros/class_loader/issues/7>)

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-noetic-class-loader (0.2.0-1focal) focal; urgency=high

  * use find_package for Poco/dl instead to make it work on other platforms
  * update Poco cmake file to include libdl on non-windows systems
  * No longer CATKIN_DEPEND on console_bridge

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-noetic-class-loader (0.1.27-1focal) focal; urgency=high

  * change warning message for managed/unmanaged instance mixture in lazy loading mode

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 25 Jan 2013 00:00:00 -0000

ros-noetic-class-loader (0.1.26-1focal) focal; urgency=high

  * fix all instances marked as unmanaged

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 17 Jan 2013 00:00:00 -0000

ros-noetic-class-loader (0.1.25-1focal) focal; urgency=high

  * fix redundant destructor definition being pulled into plugin library for metaobjects instead of being contained with libclass_loader.so

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 16 Jan 2013 00:00:00 -0000

ros-noetic-class-loader (0.1.24-1focal) focal; urgency=high

  * fix syntax error for logInform

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 15:27:00 -0000

ros-noetic-class-loader (0.1.23-1focal) focal; urgency=high

  * downgrade some warning messages to be info/debug

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 15:23:00 -0000

ros-noetic-class-loader (0.1.22-1focal) focal; urgency=high

  * add safety checks for mixing of managed/unmanaged mixing as well as pointer equivalency check between graveyard and newly created metaobjects

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 14 Jan 2013 15:01:00 -0000

ros-noetic-class-loader (0.1.21-1focal) focal; urgency=high

  * fix compile issue on OSX in dependent packages (#3 <https://github.com/ros/class_loader/issues/3>)
  * add more debug information

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-class-loader (0.1.20-1focal) focal; urgency=high

  * first public release for Groovy

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Fri, 21 Dec 2012 16:04:00 -0000


